- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreExternalTextureSource.h File Reference

`#include "OgreStringInterface.h"`
`#include "OgreResourceGroupManager.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::ExternalTextureSource
| IMPORTANT: **Plugins must override default dictionary name!** Base class that texture plugins derive from. More...
class | Ogre::ExternalTextureSource::CmdInputFileName
class | Ogre::ExternalTextureSource::CmdFPS
class | Ogre::ExternalTextureSource::CmdPlayMode
class | Ogre::ExternalTextureSource::CmdTecPassState
## Enumerations
enum | Ogre::eTexturePlayMode { Ogre::TextureEffectPause = 0, Ogre::TextureEffectPlay_ASAP = 1, Ogre::TextureEffectPlay_Looping = 2 }
| Enum for type of texture play mode. More...

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:58 2008